Name:           gphpedit
Version:        0.9.95
Release:        0.2.20090209snap%{?dist}
Summary:        A PHP source editor for GNOME 2

Group:          Applications/Text
License:        GPLv2+
URL:            http://www.gphpedit.org/
Source0:        http://www.gphpedit.org/system/files/gphpedit-%{version}-dev.tar_.gz
Patch0:         gphpedit-0.9.95-manual-en.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkhtml2-devel libgnomeui-devel perl-XML-Parser gnome-vfs2-devel
BuildRequires:  desktop-file-utils

%description
gPHPEdit is a GNOME2 editor dedicated to editing PHP files and other 
supporting files such as HTML/CSS.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
# Remove precompiled binaries and rebuild (statically) bundled gtkscintilla2
# (bundling is intentional and with good cause: it is a modified version
# and the upstream project is apparently dead)
pushd src/gtkscintilla2
make clean
make libgtkscintilla2.a %{?_smp_mflags}
popd

# Configure and make main binary
%configure
make %{?_smp_mflags}

# The .desktop file included isn't Free Desktop compliant
%{__cat} <<EOF >gphpedit.desktop
[Desktop Entry]
Encoding=UTF-8
Name=gPHPEdit
GenericName=PHP/HTML/CSS editor
Comment=Edit PHP source files
Exec=gphpedit
Icon=gphpedit
Terminal=false
Type=Application
Categories=Development;IDE;GNOME
Version=1.0
EOF

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Remove the desktop file installed by the package itself
rm %{buildroot}%{_datadir}/applications/gphpedit.desktop

# Install our own desktop file
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        gphpedit.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%dir %{_datadir}/gphpedit
%{_bindir}/gphpedit
%{_datadir}/pixmaps/gphpedit.png
%{_datadir}/applications/fedora-gphpedit.desktop
%{_datadir}/gphpedit/php-gphpedit.api

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.95-0.2.20090209snap
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 25 2009 Tim Jackson <rpm@timj.co.uk> - 0.9.95-0.1.20090209snap
- Update to 20090209 snapshot to fix several major bugs

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.91-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.91-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.91-4
- Autorebuild for GCC 4.3

* Sat Sep 09 2006 Tim Jackson <rpm@timj.co.uk> 0.9.91-3
- Only rebuild bundled gtkscintilla2 as static library (avoids PIC error on
  x86_64, plus saves time)

* Sat Sep 09 2006 Tim Jackson <rpm@timj.co.uk> 0.9.91-2
- Add missing perl-XML-Parser BR

* Sat Sep 09 2006 Tim Jackson <rpm@timj.co.uk> 0.9.91-1
- Update to 0.9.91
- Remove pixmap path hack; now fixed upstream
- Patch to support context-sensitive display of PHP manual function help (F1)
  if the php-manual-en package is installed

* Mon Apr 17 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-4
- Ensure bundled gtkscintilla2 is rebuilt instead of using precompiled
  binaries

* Sat Apr 15 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-3
- Remove gtk2-devel (gtkhtml2-devel and libgnomeui-devel will pull it in)
- Remove empty NEWS file
- Remove generic INSTALL file

* Thu Apr 13 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-2
- Own datadir/gphpedit
- Macroize replacement pixmap path in main.h
- Add "GNOME" and "Application" to desktop file

* Sat Apr 08 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-1
- Initial RPM build for FE
